REM GetSendGrid.Search.bas
    ' Copyright (c) 2018 - 2019 WiseBox.Solutions
    ' All rights reserved.
    ' KKelbert@Wisebox.Solutions; support@wisebox.solutions
    '
    
REM Compiler Directives
    #COMPILER PBWIN 10
    #COMPILE EXE "GetSendGrid.Search"
    #OPTION VERSION5
    #DIM ALL
    #DEBUG ERROR ON
    #REGISTER NONE
    #INCLUDE "win32api.inc"
    
    
Rem 'Main
    FUNCTION PBMAIN () AS LONG
        LOCAL   llC1, llSize AS LONG
        local   lsaFolderPath(), lsFolder, lsEmail, lsFile, lsaFiles(), lsTmp, lsThisFile, lsData as string
        REDIM   lsaFolderPath(0), lsaFiles(0)
        
        lsEmail = INPUTBOX$("Enter the email to search for: ",, "")
        
        REDIM                                           lsaFiles(1 TO 10) : llC1 = 1
        
        lsFolder = CURDIR$ + "\History!"
        lsaFiles(llC1)                              =   lsFolder + "\" + DIR$(lsFolder + "\*.tab")
        DO
            INCR llC1
            IF llC1 > UBOUND(lsaFiles) THEN             REDIM PRESERVE lsaFiles(1 TO llC1 * 1.5)
            lsThisFile                              =   DIR$
            If Len(lsFolder) Then
                lsaFiles(llC1)                      =   lsFolder + "\" + lsThisFile
            Else
                lsaFiles(llC1)                      =   lsThisFile
            End If
        LOOP WHILE LEN(lsThisFile)
        
        For llC1 = 1 to UBOUND(lsaFiles)
            'MSGBOX lsaFiles(llC1)
            sFileGet( lsaFiles(llC1), lsData, llSize)
            'MSGBOX (FORMAT$( LEN( lsData)))
            If isTrue( INSTR(lsData, lsEmail)) THEN
                lsFile = lsFile + lsaFiles(llC1) + chr$(10) + CHR$(13)
            End If
        Next
        MSGBOX lsFile
        
    End Function
    
Rem 'Functions & Subs

    SUB sFileGet( psCompletePath AS STRING, psData AS STRING, plLOF AS LONG)
        LOCAL llFileNum AS LONG
        llFileNum                                       =   FREEFILE
        psData                                          =   ""
        OPEN                                                psCompletePath FOR BINARY LOCK SHARED AS llFileNum
            plLOF                                       =   LOF(llFileNum)
            GET$                                            llFileNum, LOF(llFileNum), psData
        CLOSE                                               llFileNum
    END SUB
    